MP4CHAPS(1)

NAME
mp4chaps - manual page for mp4chaps 2.1.1

SYNOPSIS
mp4chaps [OPTION]... ACTION [ACTION PARAMETERS] mp4file...

DESCRIPTION
For each mp4 file specified, perform the specified ACTION. An action must be specified. Some options are not applicable to some actions.

ACTIONS

-l, --list
    list available chapters

-c, --convert
    convert available chapters

-e, --every NUM
    create chapters every NUM seconds

-x, --export
    export chapters to mp4file.chapters.txt

-i, --import
    import chapters from mp4file.chapters.txt

-r, --remove
    remove all chapters

ACTION PARAMETERS

-A, --chapter-any
    act on any chapter type (default)

-Q, --chapter-qt
    act on QuickTime chapters

-N, --chapter-nero
    act on Nero chapters

--format-native
    export chapters in native format (default)

-C, --format-common
    export chapters in common format

OPTIONS

-z, --optimize
    optimize mp4 file after modification

-y, --dryrun
    do not actually create or modify any files

-k, --keepgoing
    continue batch processing even after errors

-o, --overwrite
    overwrite existing files when creating

-f, --force
    force overwrite even if file is read-only

-q, --quiet
    equivalent to --verbose 0

-d, --debug NUM
    increase debug or long-option to set NUM

-v, --verbose NUM
    increase verbosity or long-option to set NUM

-h, --help
    print brief help or long-option for extended help

--version
    print version information and exit

DEBUG LEVELS (for raw mp4 file I/O)

0   supressed

1   add warnings and errors (default)

2   add table details

3   add implicits

4   everything

VERBOSE LEVELS

0   warnings and errors

1   normal informative messages (default)

2   more informative messages

3   everything